Bug 248582 - x11-wm/libwraster and x11-wm/windowmaker: Update to 0.95.9
Summary: x11-wm/libwraster and x11-wm/windowmaker: Update to 0.95.9
Status: Closed Feedback Timeout
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Sato
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-08-10 19:26 UTC by Dmitry Wagin
Modified: 2020-09-17 12:17 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (hrs)


Attachments
windowmaker.diff (58.19 KB, patch)
2020-08-10 19:26 UTC, Dmitry Wagin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Wagin 2020-08-10 19:26:16 UTC
Created attachment 217136 [details]
windowmaker.diff

Version 0.95.9 released

Window Maker 0.95.9 was released on April 4th 2020

    SwitchPanel is now more configurable: you can configure the switch panel icon size by setting the “SwitchPanelIconSize” option to your preferred value in ~/GNUstep/Defaults/WindowMaker. The font size used in this panel now is also sensible to changes in the system font.
    New user configuration directory environment variable. In previous versions, the GNUstep directory used to store a user’s Window Maker configuration files was specified by the GNUSTEP_USER_ROOT environment variable, which defaulted to ~/GNUstep. However, this environment variable was deprecated in gnustep-make v2. Therefore, it has been replaced by the WMAKER_USER_ROOT environment variable.
    libXmu is now an optional dependency.If the library is not found, compilation work, the only limitation will arise when trying to install the standard colormap on displays which are not TrueColor. Please note that if you have the library but not the headers, configure will still stop; there is no user option to explicitly disable the library use.
Comment 1 Dmitry Wagin 2020-08-14 22:05:55 UTC
also regenerated patch files